=== tools/project_converter/Makefile ===
all build compile link:
	$(MAKE) -s -f Makefile.project_converter $@
