=== debian/changelog ===
gnat-gps (5.0-7) unstable; urgency=low

  [Nicolas Boulenguez]
  * debian/control (Build-Depends), debian/build_gps.gpr:
    drop tcl8.4-dev, libdb-dev; not used anymore.
  * control, rules: let dpkg-dev (>= 1.16) set CFLAGS, DEB_VERSION.
  * switched to dh_linktree helper for linked javascript libraries.
  * copyright: typo.

  [Ludovic Brenta]
  * debian/control (Recommends): s/gdb/gdb-minimal/.  Closes: #659166.
    Thanks to Nicolas Boulenguez for the workaround.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 11 Feb 2012 19:41:04 +0100

gnat-gps (5.0-6) unstable; urgency=low

  * Rebuild against libgtkada 2.24.1.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 15 Jan 2012 15:42:21 +0100

gnat-gps (5.0-5) unstable; urgency=low

  [ Ludovic Brenta ]
  * Fix bug: "Project Editor > Make hangs gnat-gps":
    - debian/patches/project_editor_make.patch: new.
  * Fix bug: "No GNAT switches in the project editor (#596385 reintroduced)":
    - debian/rules: add an empty file
      share/gps/plug-ins/gps_utils/gnat_switches.py to gnat-gps-common.
    - debian/clean: delete it.
    - debian/control (gnat-gps): recommend python-gtk2.0.
  * debian/TODO: make empty as all remaining bugs are fixed.
  * Fix Lintian errors and warnings:
    - debian/control (gnat-gps): depend on gnat-gps-common (= ${source:Version})
      instead of ${binary:Version}.

  [ Nicolas Boulenguez ]
  * debian/rules: link gnat-gps and -dbg documentation directory to
    -common, but not -doc, avoiding a circular dependency.  Closes: #655383.
  * debian/control: s/Conflicts/Breaks/ for package split (policy 7.6.1).
  * debian/control (Depends), debian/gnat-gps-common.links: use system-wide
    javascript library instead of upstream copy, if available.
  * gnat-gps-doc.lintian-overrides (modified),
    gnat-gps.lintian-overrides -> gnat-gps-common.lintian-overrides:
      adapted to source package split.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Wed, 11 Jan 2012 02:00:46 +0100

gnat-gps (5.0-4) unstable; urgency=low

  * debian/patches/libgtkada2-2.24.0-dev-part2.patch: rewrite completely;
    keep using the Gtk.Combo.
  * debian/patches/file_selector.patch: delete.
  * debian/patches/bug-653470.patch: remove all calls to Glib.Convert.
    Locale_To_UTF8 in all source files.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue,  3 Jan 2012 18:20:30 +0100

gnat-gps (5.0-3) unstable; urgency=low

  * debian/control (gnat-gps-common): Conflict with and Replace gnat-gps (< 5.0).
    Closes: #653425.
    (Build-Depends): remove libgmp-dev, not actually used.
  * debian/rules (DIRS_WITH_C_SOURCES): remove gnatlib/src/gmp, not
    actually used.
  * debian/build_gps.gpr: work around compiler bug #642981 on armel by
    disabling inlining in select source files.
  * debian/patches/bug-653470.patch: new.  Closes: #653470.
  * debian/gnat-gps-common.install: install the docgen2 files in /usr/share/gps.
  * debian/patches/file_selector.patch: new; allow the file selector to
    open itself.  There is still a bug though, see below.
  * debian/TODO: new.  Document known bugs to be solved before the package
    is fit for release.  Help is welcome as usual, see #496905.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  2 Jan 2012 12:33:10 +0100

gnat-gps (5.0-2) unstable; urgency=low

  * debian/control (Build-Depends): add libgmp-dev.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 28 Dec 2011 01:40:34 +0100

gnat-gps (5.0-1) unstable; urgency=low

  [Nicolas Boulenguez]
  * New upstream version from upstream's Subversion repository, revision 165249
    (date: 2010-10-01T15:03:16).
  * Build with gnat-4.6.  Closes: #642618.
  * Upgraded to debhelper 8 and Standards-Version 3.9.2.
  * control: reformatted descriptions to please lintian
  * rules: allowed transmission of new targets to dh
  * rules, patches: link against system libdb instead of embedded db source

  [Ludovic Brenta]
  * debian/patches/command-names.patch,
    debian/patches/gcc-4.4.patch,
    debian/patches/libgtkada2-2.14.2.patch,
    debian/patches/no-tcl.patch,
    debian/patches/use_system_libdb.patch,
    debian/patches/no-gtkextra.patch,
    debian/patches/fix-config-guess.patch,
    debian/patches/escape_embedded_xml_in_ada_support_py.patch: delete, no longer needed.
  * debian/patches/documentation-path.patch,
    debian/patches/texinfo.patch,
    debian/patches/elaboration.patch,
    debian/patches/documentation-formats.patch
    debian/patches/bashisms.patch: refresh.
  * debian/patches/libgtkada2.24.0-part[123].patch: new.
  * debian/control: gnat-gps-doc now recommends ada-reference-manual-html and
    gprbuild-doc, both referenced in the Documentation menu of GPS.
    (gnat-gps-common): new package for architecture:all files.
  * debian/rules: do not build Source Navigator, which is no longer bundled.
  * debian/build_gps.gpr: adjust to new source directories.
  * debian/gnat-gps.install: do not install auxiliary executables built from
    Source Navigator sources which are no longer bundled.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 27 Dec 2011 11:56:14 +0100

gnat-gps (4.3-6) unstable; urgency=low

  * control (Vcs-Mtn) corrected URL
    (Architectures) any like all ada packages.
    see http://lists.debian.org/debian-ada/2010/02/msg00002.html
    (Standards-Version) 3.9.1.0 without changes.
  * Patch allowing many jobs for pdf doc generation. Closes: #599489.
  * Install aunit templates. Closes: #599487.
  * Patch escape embedded XML in ada_support.py. Closes: #596385.
    All patches from Pierre-Louis Bonicoli <pierre-louis.bonicoli@gmx.fr>.
  * source/[local-]options to tell dpkg-source to ignore VCS information.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sun, 30 Jan 2011 01:15:33 +0100
