=== debian/control ===
Source: gnat-gps
Section: devel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
 Nicolas Boulenguez <nicolas.boulenguez@free.fr>
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1),
 gnat, gnat-4.6, libgnatprj4.6-dev, libxmlada4.1-dev,
 python-dev,
 dh-linktree,
 libtemplates-parser11.6-dev (>= 11.5-2),
 libgtkada2.24.1-dev, libgtk2.0-dev
Build-Depends-Indep: texinfo,  imagemagick,
 libjs-prototype (>= 1.6.1), libjs-scriptaculous (>= 1.5.1),
 texlive-fonts-recommended, texlive-latex-base, texlive-generic-recommended
Standards-Version: 3.9.2
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat-gps
Vcs-Mtn: www.ada-france.org org.debian.gnat-gps
Homepage: http://libre.adacore.com/libre/tools/gps

Package: gnat-gps
Architecture: any
Depends: gnat-gps-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: gnat (>= 4.6), gdb-minimal (>= 6.8), python-gtk2,
 gnat-gps-doc (= ${source:Version})
Description: integrated development environment for C and Ada
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 GPS gives access to built-in file editing; HTML based help system;
 complete compile/build/run cycle; intelligent source navigation;
 project management; general graph technology giving access to many
 different browsers such as source dependency, project dependency, call
 graphs, etc.; fully integrated visual debugger, based on the GVD
 technology, and enhanced for inclusion in GPS; generic version control
 system, providing access to CVS, ClearCase, and possibly others in the
 future; many other tools such as a visual comparison, automatic
 generation of files, source reformatting.
 .
 GPS is fully customizable, providing several levels of customizations:
 a first level, available through the preferences dialog; a second
 level, which allows you to customize your menu items, tool bar and key
 bindings; a third level, which allows you to automate processing
 through scripts; and a fourth level, which allows any kind of very
 specific or tight integration, due to the open nature of GPS, and to
 its architecture.
 .
 GPS also integrates with existing editors such as Emacs and Vi.

Package: gnat-gps-dbg
Architecture: any
Priority: extra
Section: debug
Depends: gnat-gps (= ${binary:Version}), ${misc:Depends}
Description: integrated development environment for C and Ada (debugging symbols)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains the detached debugging symbols for debugging GPS.

Package: gnat-gps-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ada-reference-manual-html, gprbuild-doc
Section: doc
Description: integrated development environment for C and Ada (documentation)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains the documentation in ASCII, Info, HTML and
 PostScript formats. This documentation consists of:
 .
  - the GPS Tutorial: building Hello, World with the GPS
  - a User's Guide: using the GPS for multi-language projects
  - a Programmer's Manual: extending the GPS with new modules

Package: gnat-gps-common
Architecture: all
Depends: ${misc:Depends}
Breaks: gnat-gps (<< 5.0)
Replaces: gnat-gps (<< 5.0)
Description: integrated development environment for C and Ada (common files)
 GNAT Programming Studio is a complete integrated development environment
 that gives access to a wide range of tools and integrates them smoothly.
 .
 This package contains images, templates and plug-ins required at run time
 by GPS.
