## gnat-gps 5.3

=== gnatlib/examples/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+all:
 include ../Makefile.conf
 
 ADA_PROJECT_PATH:=${prefix}/lib/gnat${DIRSEP}${ADA_PROJECT_PATH}${DIRSEP}../src
@@ -19,10 +20,10 @@
 	@echo "==   LD_LIBRARY_PATH=${prefix}/lib/gnat:\$$LD_LIBRARY_PATH"
 
 clean:
-	gprclean -q -Pexamples
+	-gprclean -q -Pexamples
 ifeq ($(WITH_GTK),yes)
-	gprclean -q -Pexamplesgtk
+	-gprclean -q -Pexamplesgtk
 endif
 ifeq ($(WITH_GMP),yes)
-	gprclean -q -Pgmp/gmp_examples.gpr
+	-gprclean -q -Pgmp/gmp_examples.gpr
 endif
