=== debian/changelog ===
gnat-gps (5.3-4ubuntu1) utopic; urgency=medium

  * gnat-gps: Recommend gdb | gdb-minimal.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Oct 2014 15:45:19 +0200

gnat-gps (5.3-4) unstable; urgency=medium

  * Built against packaged gnatcoll instead of embedded copy.
    Move /usr/bin/gnatinspect from gnat-gps to libgnatcool-sqlite-bin.
  * Remove unused sources from build_gps.gpr and debian/rules.
  * Replace get-orig-source target with detailed instructions in
    README.source. Give script used to merge_upstream_into_dfsg.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Sep 2014 00:20:03 +0200

gnat-gps (5.3-3) unstable; urgency=medium

  * Build with xmlada5-dev, templates-parser-11.8.2015-dev. Closes: #757620.
  * Let -doc Recommend current version of the ada-reference-manual.
  * Use dh_sphinxdoc and dh_linktrees to avoid embedding javascript libraries.
  * Uploaders: update Xavier's email.
  * Manual page for gnatinspect.
  * Standards-Version: 3.9.5 (no changes).
  * -doc: lintian override for false positive (extra-license-file).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 19 Aug 2014 07:13:26 +0200

gnat-gps (5.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on texlive-latex-extra. Closes: #755311.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Aug 2014 00:38:40 +0200

gnat-gps (5.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on texlive-latex-recommended. Closes: #755311.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Aug 2014 00:38:40 +0200

gnat-gps (5.3-2) unstable; urgency=low

  * debian/gnat-gps-doc.install: install images in only one place.
  * debian/gnat-gps-doc.doc-base.*: adjust to upstream changes i.e. no
    text format anymore.  Closes: #754069.
  * debian/build_gps.gpr: do not work around compiler bug #642981 which
    has been fixed since gnat-4.8.
  * debian/build_gnatinspect.gpr, debian/rules: build gnatinspect too.
  * debian/gnat-gps.install: install it.  Closes: #754320.
  * debian/control (Build-Depends): add libreadline-dev, needed by
    gnatinspect.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 10 Jul 2014 20:19:26 +0200

gnat-gps (5.3-1) unstable; urgency=medium

  [Nicolas Boulenguez]
  * New upstream snapshot (Subversion revision 212731 of 2013-07-10),
    chosen because it precedes the switch to GtkAda 3.x;
    built with gnat 4.9, xmlada 4.4.0puregpl, templates-parser
    11.8.2014. gtkada 2.24.4.  License update GPL-2+ -> GPL-3+.
  
  [Ludovic Brenta]
  * Refresh patches.
  * debian/rules (.../config.ads.in): adjust to new upstream release.
    (DIRS_WITH_C_SOURCES): ditto.
    (override_dh_auto_build-indep): Do not build Info manuals anymore;
    they have been abandoned upstream.
  * debian/build_gps.gpr: s/gtkada2/gtkada/ and adjust directories.
  * debian/patches/gnat-4.9.patch: new.
  * debian/control (Build-Depends): add libsqlite3-dev.
    (Build-Depends-Indep): add python-sphinx (to generate the doc) and
    graphviz (to generate graphs in the doc).
  * debian/gnat-gps-{common,doc}.install: adjust to upstream changes.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  7 Jul 2014 00:18:29 +0200

gnat-gps (5.0-16) unstable; urgency=low

  * rules: simplified using debhelper 9.
    Link C objects directly, without intermediate static archive.
    Add missing substitutions in config.ads.
  * patches: refreshed without timestamps.
  * copyright, patches/texinfo: GPL-2+ instead of GNU GFDL. Closes: #708932.
  * lintian-overrides: a patch removing a non DFSG license must contain it
  * install all documentation in a single /usr/share/doc/gnat-gps directory.
  * Revert to parallel build. Timeout is more frequent than RAM exhaustion.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 18 Jul 2013 00:55:58 +0200

gnat-gps (5.0-15) unstable; urgency=low

  * rules: add -lutil to link options, avoiding a FTBFS on kfreebsd-*.
    Default to parallel=1 to avoid exhausting the RAM on limited buildds.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 15 Jul 2013 23:20:21 +0200

gnat-gps (5.0-14) unstable; urgency=low

  * patches/documentation-formats: fix incompatibilities with texinfo 5.
    Ignore docs/texiplus.tex. Closes: #712323.
  * Move debian/TODO,known-problems,features from gnat-gps to -doc package.
  * control (DM-Upload-Allowed): removed obsolete field.
    (Build-Depends): pkg-config. Closes: #685071.
    (Standards-Version): 3.9.4 (no change needed)
  * menu -> gnat-gps.menu: for clarity.
  * README.source, build_gps.gpr, copyright, rules: copyright update.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 06 Jul 2013 22:08:20 +0200

gnat-gps (5.0-13) unstable; urgency=low

  * Avoid symlinking documentation directories (Closes: #684194).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 16 Aug 2012 12:40:48 +0200

gnat-gps (5.0-12) unstable; urgency=low

  [Nicolas Boulenguez]
  * debian/patches/gprconfig.patch: new.  Properly handle the exception
    signalling that gprconfig is absent from the $PATH.  Closes: #682229.

  [Ludovic Brenta]
  * debian/control: Suggest gprconfig.

  [Svante Signell]
  * debian/patches/hurd-i386.patch: new. Add support for hurd-i386.
    Closes: #682001.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 20 Jul 2012 23:33:46 +0200

gnat-gps (5.0-11) unstable; urgency=low

  * control: -doc Recommends ada-reference-manual-2005 instead of obsolete
    package name (Closes: #677279)
  * rules, build.gpr: better flag transmission (LDFLAGS was ignored).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 14 Jun 2012 00:44:35 +0200

gnat-gps (5.0-10) unstable; urgency=low

  [Nicolas Boulenguez]
  * debian/copyright: updated Format and packaging years.
  * debian/source.lintian-overrides: removed obsolete ones.
  * Updated doc directories according to package split.

  [Ludovic Brenta]
  * debian/control (DM-Upload-Allowed): yes.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 19 May 2012 14:39:42 +0200


