=== debian/control ===
--- 
+++ 
@@ -2,27 +2,41 @@
 Section: devel
 Priority: optional
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
-Uploaders: Xavier Grave <xavier.grave@ipno.in2p3.fr>,
- Nicolas Boulenguez <nicolas.boulenguez@free.fr>
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1),
- gnat, gnat-4.6, libgnatprj4.6-dev, libxmlada4.1-dev,
- python-dev,
+Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
+ Nicolas Boulenguez <nicolas@debian.org>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
+ gnat-4.9, libgnatprj4.9-dev,
+ libxmlada5-dev,
+# dh_sphinxdoc
+ sphinx-common,
+# other js libraries
  dh-linktree,
- libtemplates-parser11.6-dev (>= 11.5-2),
- libgtkada2.24.1-dev, libgtk2.0-dev
+ libtemplates-parser11.8.2015-dev,
+ pkg-config,
+ libgtkada2.24.4-dev, libgtk2.0-dev,
+ libgnatcoll1.6-dev,
+ libgnatcoll-gtk1.6-dev,
+ libgnatcoll-sqlite1.6-dev,
 Build-Depends-Indep: texinfo,  imagemagick,
- libjs-prototype (>= 1.6.1), libjs-scriptaculous (>= 1.5.1),
- texlive-fonts-recommended, texlive-latex-base, texlive-generic-recommended
-Standards-Version: 3.9.2
+ libjs-prototype (>= 1.6.1),
+ libjs-scriptaculous (>= 1.5.1),
+ texlive-fonts-recommended,
+ texlive-generic-recommended,
+ texlive-latex-extra, texlive-latex-recommended,
+ python-sphinx, graphviz
+Standards-Version: 3.9.5
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gnat-gps
 Vcs-Mtn: www.ada-france.org org.debian.gnat-gps
 Homepage: http://libre.adacore.com/libre/tools/gps
 
 Package: gnat-gps
 Architecture: any
-Depends: gnat-gps-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends}
-Recommends: gnat (>= 4.6), gdb-minimal (>= 6.8), python-gtk2,
+Depends: gnat-gps-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends},
+# libgnatcoll-sqlite-bin provides gnatinspect and gnat-gps runs it.
+ libgnatcoll-sqlite-bin
+Recommends: gnat (>= 4.9), gdb | gdb-minimal (>= 6.8), python-gtk2,
  gnat-gps-doc (= ${source:Version})
+Suggests: gprbuild
 Description: integrated development environment for C and Ada
  GNAT Programming Studio is a complete integrated development environment
  that gives access to a wide range of tools and integrates them smoothly.
@@ -60,8 +74,8 @@
 
 Package: gnat-gps-doc
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: ada-reference-manual-html, gprbuild-doc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Recommends: ada-reference-manual-2012, gprbuild-doc
 Section: doc
 Description: integrated development environment for C and Ada (documentation)
  GNAT Programming Studio is a complete integrated development environment
